<?php

namespace Teknisa\CADEST\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\CADEST\Services\GrupoPromocionalService;

class GrupoPromocional {

    protected $service;
    
    public function __construct($service) {
        $this->service = $service;
    }
	
    public function delete(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            $this->service->deleteGrupoPromocional($row);
        }
        catch(\Exception $e) {
            throw $e;
        }
    }
}